# $Revision: 1.139.2.1 $, $Date: 2004/04/06 15:07:46 $
#
# TODO
# - select which divx codec will be used (xvid, divx4linux, opnedivx)
#   (you can choose only one of it)

# Conditional build:
#
# _without_lirc		- without lirc support
# _without_gui		- without gui gtk+ interfeace
# _without_win32	- without win32 codecs support
# _without_dshow	- disable DirectShow support
# _with_divx4linux	- with divx4linux a/v support (binaries, instead of included OpenDivx)
# _without_mad		- without mad (audio MPEG) support
# _without_vorbis	- without ogg-vorbis audio support
# _with_directfb	- with DirectFB video output
# _with_ggi		- with ggi video output
# _with_svga		- with svgalib video output
# _without_arts		- without arts audio output
# _without_alsa		- without ALSA audio output
# _without_nas		- without NAS audio output
# _without_select	- disable audio select() support (for example required this option
#                         ALSA or Vortex2 driver)
# _without_runtime	- disable runtime cpu detection, just detect CPU in
#			  compiletime (advertised by mplayer authors as
#			  working faster); in this case mplayer may not
#			  work on machine other then where it was compiled
# _with_dxr3		- enable use of DXR3/H+ hardware MPEG decoder

# set it to 0, or 1
%define		snapshot	0

%define		sname		MPlayer
%define		snap		20020602
%define		ffmpeg_ver	0.4.5

%ifnarch %{ix86}
%define		_without_win32	1
%endif

Summary:	Yet another movie player for Linux
Summary(pl):	Jeszcze jeden odtwarzacz filmw dla Linuksa
Summary(pt_BR):	Reprodutor de filmes
Name:		mplayer
Version:	0.90pre10
Release:	3
License:	GPL
Group:		X11/Applications/Multimedia
%if %{snapshot}
Source0:	ftp://ftp.mplayerhq.hu/%{sname}/cvs/%{sname}-%{snap}.tar.bz2
Source1:	http://belnet.dl.sourceforge.net/sourceforge/ffmpeg/ffmpeg-%{ffmpeg_ver}.tar.gz
%else
Source0:	ftp://ftp2.mplayerhq.hu/%{sname}/releases/%{sname}-%{version}.tar.bz2
# Source0-md5:	cd972417e29cc7ca692dc7dd214a2cd0
%endif
Source2:	%{name}.conf
Source3:	ftp://mplayerhq.hu/%{sname}/releases/font-arial-iso-8859-2.tar.bz2
# Source3-md5:	0f9a5d53f836e2d2d2bde207dc641044
Source4:	ftp://mplayerhq.hu/%{sname}/Skin/default.tar.bz2
# Source4-md5:	fe5d70fb6d2c2d1291940f947e12d471
Source5:	g%{name}.desktop
Source6:	ftp://mplayerhq.hu/%{sname}/releases/font-arial-iso-8859-1.tar.bz2
# Source6-md5:	6c3f032ddf401ca522900291de03fee5
Source7:	%{name}.png
Patch0:		%{name}-make.patch
Patch2:		%{name}-no_libnsl.patch
Patch3:		%{name}-cp1250-fontdesc.patch
Patch4:		%{name}-codec.patch
Patch5:		%{name}-home_etc.patch
Patch6:		%{name}-350.patch
Patch7:		%{name}-vuln02.patch
URL:		http://mplayer.sourceforge.net/
%{?_with_directfb:BuildRequires:	DirectFB-devel}
BuildRequires:	OpenGL-devel
BuildRequires:	SDL-devel >= 1.1.7
BuildRequires:	XFree86-devel >= 4.0.2
%{!?_without_alsa:BuildRequires:	alsa-lib-devel}
%{!?_without_arts:BuildRequires:	arts-devel}
BuildRequires:	audiofile-devel
%{?_with_divx4linux:BuildRequires:	divx4linux-devel >= 5.01.20020418}
%{?_with_dxr3:BuildRequires:	em8300-devel}
BuildRequires:	esound-devel
%{!?_without_gui:BuildRequires:		gtk+-devel}
BuildRequires:	lame-libs-devel
%{?_with_ggi:BuildRequires:		libggi-devel}
BuildRequires:		libjpeg-devel
BuildRequires:		libpng-devel
%{!?_without_dshow:BuildRequires:	libstdc++-devel}
BuildRequires:		libungif-devel
%{!?_without_vorbis:BuildRequires:	libvorbis-devel}
%{!?_without_lirc:BuildRequires:	lirc-devel}
BuildRequires:	lzo-devel
%{!?_without_mad:BuildRequires:	mad-devel}
%{!?_without_nas:BuildRequires:	nas-devel}
BuildRequires:	ncurses-devel
%{?_with_svga:BuildRequires:	svgalib-devel}
BuildRequires:	xvid-devel
BuildRequires:	zlib-devel
Requires:	OpenGL
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreqdep	libGL.so.1 libGLU.so.1
%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man

%description
Movie player for Linux. Supported input formats: VCD (VideoCD),
MPEG1/2, RIFF AVI, ASF 1.0, Quicktime. Supported audio codecs: PCM
(uncompressed), MPEG layer 2/3, AC3, aLaw, MS-GSM, Win32 ACM.
Supported video codecs: MPEG 1 and MPEG 2, Win32 ICM (VfW), OpenDivX.
Supported output devices: Matrox G200/G400 hardware, Matrox G200/G400
overlay, X11 optionally with SHM extension, X11 using overlays with
the Xvideo extension, OpenGL renderer, Matrox G400 YUV support on
framebuffer Voodoo2/3 hardware, SDL v1.1.7 driver etc.

If you want to use win32 codecs install w32codec package and copy
codecs.win32.conf to your ~/.mplayer direcory as codecs.conf.

%description -l pl
Odtwarzacz wideo dla Linuksa. Wspierane formaty wejciowe: VCD
(VideoCD), MPEG1/2, RIFF AVI, ASF 1.0, Quicktime. Wspierane kodeki
audio: PCM (nieskompresowane), MPEG layer 2/3, AC3, aLaw, MS-GSM, Win32
ACM.  Wspierane kodeki wideo: MPEG 1 and MPEG 2, Win32 ICM (VfW),
OpenDivX.  Wspierane urzdzenia wyjciowe: Matrox G200/G400, X11
opcjonalnie z rozszerzeniem SHM, X11 z rozszerzeniem Xvideo, renderer
OpenGL, Matrox G400 uywajc framebuffera, Voodoo2/3, SDL v1.1.7 itp.

Jeli chcesz uywa kodekw win32, zainstaluj pakiet w32codec i
skopiuj codecs.win32.conf do katalogu ~/.mplayer jako codecs.conf.

%description -l pt_BR
MPlayer  um reprodutor de filmes que suporta vrios codecs de vdeo e
udio. Diferentes mecanismos de reproduo podem tambm ser
escolhidos, incluindo SDL, SVGALib, frame buffer, aalib, X11 e outros.

%prep
%if %{snapshot}
%setup -q -n %{sname}-%{snap} -a 1 -a 3 -a 6
%else
%setup -q -n %{sname}-%{version} -a 3 -a 6
%endif

%patch0 -p1
cp -f etc/codecs.conf etc/codecs.win32.conf
%patch2 -p1
%patch3 -p0
#%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1

%if %{snapshot}
cp -ar ffmpeg/libavcodec/* libavcodec
%endif

%build
CFLAGS="%{rpmcflags} %{!?debug:-fomit-frame-pointer}"
CC="%{__cc}"
export CC CFLAGS
./configure \
			--prefix=%{_prefix} \
			--confdir=%{_sysconfdir}/mplayer \
			--with-x11incdir=/usr/X11R6/include \
			--enable-mencoder \
%{!?_without_lirc:	--enable-lirc} \
%{?_without_lirc:	--disable-lirc} \
%{!?_without_gui:	--enable-gui} \
%{?_without_win32:	--disable-win32} \
%{?_without_dshow:	--disable-dshow} \
			--with-extraincdir=/usr/include/xvid \
			--enable-xvid \
%{!?_with_divx4linux:	--disable-divx4linux} \
%{!?_without_vorbis:	--enable-vorbis} \
%{?_without_vorbis:	--disable-vorbis} \
%{?_without_mad:	--disable-mad} \
%{?_with_dxr3:	--enable-dxr3} \
%{!?_with_dxr3:	--disable-dxr3} \
%ifnarch %{ix86}
			--disable-mmx \
			--disable-mmx2 \
			--disable-3dnow \
			--disable-3dnowex \
			--disable-sse \
			--disable-sse2 \
			--disable-fastmemcpy \
%endif
%{?_without_runtime:	--disable-runtime-cpudetection} \
%{!?_without_runtime:	--enable-runtime-cpudetection} \
			--enable-gl \
			--enable-dga \
			--enable-sdl \
%{?_with_ggi:		--enable-ggi} \
%{!?_with_ggi:		--disable-ggi} \
			--enable-mga \
			--enable-xmga \
			--enable-xv \
			--enable-vm \
			--enable-x11 \
			--enable-fbdev \
			--enable-tdfxfb \
%{!?_with_directfb:	--disable-directfb} \
%{!?_with_svga:		--disable-svga} \
%{?_without_nas:	--disable-nas} \
%{?_without_arts:	--disable-arts} \
%{?_without_alsa:	--disable-alsa} \
%{!?_without_alsa:	--enable-alsa --disable-select} \
%{?_without_select:	--disable-select} \
%{!?_without_win32:	--with-win32libdir=/usr/lib/win32} \
%{?_with_divx4linux:	--with-extraincdir=/usr/include/divx} \
			--disable-dvdnav

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/{,de/,hu/,pl/}man1} \
	$RPM_BUILD_ROOT{%{_sysconfdir}/mplayer,%{_datadir}/mplayer/Skin} \
	$RPM_BUILD_ROOT{%{_libdir}/mplayer/vidix,%{_applnkdir}/Multimedia} \
	$RPM_BUILD_ROOT%{_pixmapsdir}

perl -p -i -e 'exit if /this default/' etc/example.conf
install %{SOURCE2} etc/codecs.conf $RPM_BUILD_ROOT%{_sysconfdir}/mplayer
install mplayer mencoder $RPM_BUILD_ROOT%{_bindir}
ln -sf mplayer $RPM_BUILD_ROOT%{_bindir}/gmplayer
rm -f font-*/runme
cp -r font-* $RPM_BUILD_ROOT%{_datadir}/mplayer
ln -sf font-arial-24-iso-8859-2 $RPM_BUILD_ROOT%{_datadir}/mplayer/font
bzip2 -dc %{SOURCE4} | tar xf - -C $RPM_BUILD_ROOT%{_datadir}/mplayer/Skin
rm -rf $RPM_BUILD_ROOT%{_datadir}/mplayer/Skin/*/CVS
%ifarch %{ix86}
install libdha/libdha.so* $RPM_BUILD_ROOT/%{_libdir}
install vidix/drivers/*.so $RPM_BUILD_ROOT/%{_libdir}/mplayer/vidix
%endif
install %{SOURCE5} $RPM_BUILD_ROOT%{_applnkdir}/Multimedia
install %{SOURCE7} $RPM_BUILD_ROOT%{_pixmapsdir}
install DOCS/*.1 $RPM_BUILD_ROOT%{_mandir}/man1
mv DOCS/German/*.1 $RPM_BUILD_ROOT%{_mandir}/de/man1
mv DOCS/Hungarian/*.1 $RPM_BUILD_ROOT%{_mandir}/hu/man1
mv DOCS/Polish/*.1 $RPM_BUILD_ROOT%{_mandir}/pl/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc DOCS/*.html
%doc etc/example.conf
%{?!_without_win32: %doc etc/codecs.win32.conf}
%lang(de) %doc DOCS/German
#%lang(fr) %doc DOCS/French
%lang(hu) %doc DOCS/Hungarian
%lang(it) %doc DOCS/Italian
%lang(pl) %doc DOCS/Polish
%dir %{_sysconfdir}/mplayer
%config(noreplace) %verify(not md5 size mtime) %{_sysconfdir}/mplayer/*.conf
%attr(755,root,root) %{_bindir}/*
%{_datadir}/mplayer
%{_mandir}/man1/*
%lang(de) %{_mandir}/de/man1/*
%lang(hu) %{_mandir}/hu/man1/*
%lang(pl) %{_mandir}/pl/man1/*
%{_applnkdir}/*/*
%{_pixmapsdir}/*
%attr(755,root,root) %{_libdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: mplayer.spec,v $
Revision 1.139.2.1  2004/04/06 15:07:46  ankry
- added -vuln02 patch, md5sums, s/pld.org.pl/pld-linux.org/, rel.3

Revision 1.139  2002/11/21 06:54:09  rrw
- actually patch the sources...;

Revision 1.138  2002/11/21 06:13:35  rrw
- really stupid patch to report desired bitrate for 350MB file;
- release 2;

Revision 1.137  2002/11/18 21:05:28  qboosh
- deal with semi-random dependecies:
  libpng,lib(un)gif,libjpeg,lame,external lzo - always on
  mad,nas - bcond, default on
  DirectFB,svgalib - bcond, default off

Revision 1.136  2002/11/15 15:50:57  migo
- disabled dvdnav support - it is bogus

Revision 1.135  2002/11/11 20:35:26  wolf
- 0.90pre10
- export CFLAGS and CC, so they are seen by configure
- enabled dvdnav, but it don't work

Revision 1.134  2002/11/10 15:16:41  mkochano
- Typo.

Revision 1.133  2002/11/09 02:07:40  ankry
- add icon, remove CVS dir, rel. 2

Revision 1.132  2002/11/08 17:35:50  radek
- fixed Source0 URL

Revision 1.131  2002/11/06 08:54:44  qboosh
- removed obsolete libpng12 patch and BR: pkgconfig

Revision 1.130  2002/11/05 15:40:06  martii
- mplayer requires pkgconfig during build stage - BR added

Revision 1.129  2002/11/02 23:29:13  rrw
- mplayer-0.90pre9;
- do not unpack ffmpeg sources if not "snapshot build" -- libavcodec is
  already in mplayer sources, always in newer version than the one pointed
  by SOURCE1;
- release 1;

Revision 1.128  2002/11/02 21:37:31  rrw
- made it compile with corrected xvid package, so the divx4 XviD encoder is
  actually build;
- release 5;

Revision 1.127  2002/10/12 11:37:20  malekith
- fixed br0ken home_etc patch

Revision 1.126  2002/10/05 12:20:56  wolf
- quicktime is also supported

Revision 1.125  2002/10/05 06:53:48  kloczek
- releas 3.

Revision 1.124  2002/10/02 07:42:35  qboosh
- more divx4linux fixes

Revision 1.123  2002/10/02 00:16:50  kloczek
- realy dissable divx4linux.

Revision 1.122  2002/10/01 23:59:28  kloczek
- disable divx4linux.

Revision 1.121  2002/10/01 22:25:09  kloczek
- release 2: rebuild (for generate binaries do not dependt on divx4linux).

Revision 1.120  2002/09/30 12:24:42  wrobell
- 0.90pre8
 "Hmm. It seems that pre7 was the most buggier pre-release ever..."

     http://mplayerhq.hu

Revision 1.119  2002/09/22 23:14:15  rrw
- finally nailed the reason that GL video out drivers were not built
  (due to moronic idea of link /usr/include/X11 mplayer tried to look for
  GL headers in /usr/include/GL and failed);

Revision 1.118  2002/09/18 16:46:59  blues
- release 0.11 - added proper BR to have odivx working (much better!)

Revision 1.117  2002/09/17 08:41:34  mkochano
- Release 0.10.
- Rebuilt with modified desktop file.

Revision 1.116  2002/09/05 18:58:02  blues
- 0.90pre7 - updated home_etc package
- odivx does not work again :( - don't send to builder...
TODO: fix odivx, prepare package with kernelhelper

Revision 1.115  2002/09/02 13:04:02  rrw
- changed --with dxr3 to --without dxr3 and thus build support for dxr3 by
  default (since it doesn't add any additional requirements to this rpm);
- release 3;
- STBR

Revision 1.114  2002/08/30 16:01:34  wiget
- fix --without runtime bcond
- release 2

Revision 1.113  2002/08/27 18:34:38  blues
- disabled dvdnav - should build now (not tested)

Revision 1.112  2002/08/18 22:51:14  gotar
- removed obsoleted confpath patch

Revision 1.111  2002/08/13 21:06:01  blues
- release 1 - odivx is working now...; STBR

Revision 1.110  2002/08/09 23:02:49  qboosh
- added pl man page (it's translated now); release 0.3

Revision 1.109  2002/08/06 12:00:28  maryush
- fixed %doc - now build and work correctly

Revision 1.108  2002/08/06 06:39:55  wrobell
- ver. 0.90pre6

Revision 1.107  2002/07/04 12:22:32  gotar
- renamed mplayer-configure.patch to mplayer-no_libnsl.patch

Revision 1.106  2002/07/02 22:15:05  rrw
- added conditional for building w/o runtime cpu detection;
- added conditional for building with support for DXR3/H+ decoder;
- release 2;

Revision 1.105  2002/06/19 13:36:42  mmazur
- fixed compilation on ppc; stbr rmf :)

Revision 1.104  2002/06/19 07:56:42  kloczek
- typo in %build.

Revision 1.103  2002/06/19 07:30:04  gotar
- sorted comments, build requirements, configure and install options,
- removed runme scripts from font directories,
- install+rm -> mv.

Revision 1.102  2002/06/11 17:01:29  wrobell
- 0.90pre5

Revision 1.101  2002/06/09 11:35:58  saq
- added ISO 8859-1 fonts
- simplified font installation
- release 5, STBR

Revision 1.100  2002/06/04 10:36:43  pascalek
- Release 4, home_etc.patch added

Revision 1.99  2002/06/02 17:20:04  jack
- updated snapshot from 20020320 to 20020602 - builds, installs and works (seems to) correct :)

Revision 1.98  2002/05/23 18:11:47  qboosh
- new %%doc (back)

Revision 1.97  2002/05/23 07:59:31  gotar
- fixed passing CONFDIR,
- added italian docs,
- gzip docs.

Revision 1.96  2002/05/22 07:36:57  kloczek
- release 2: merge translations from Cnectiva.

Revision 1.95  2002/05/21 22:39:34  qboosh
- new %%doc, added de manuals, removed manuals from %%doc
- fixed *.so permissions, removed %{_libdir} dir from package

Revision 1.94  2002/05/14 10:48:57  ankry
- updated to 0.90pre4; builds, not tested yet
- STBR for test ?

Revision 1.93  2002/05/12 18:17:23  mick3y
- correction of URL to ffmpeg source

Revision 1.92  2002/05/07 13:40:26  kloczek
- enable vidix only on %%{ix86} archs.

Revision 1.91  2002/05/07 07:53:40  marcus
- on ppc vidix is not available

Revision 1.90  2002/05/07 06:20:06  marcus
- divx4linux (binaries) is ix86 ONLY!!!
(TODO: using other divx libs on other archs?)

Revision 1.89  2002/05/06 20:18:24  qboosh
- fixed CFLAGS passing

Revision 1.88  2002/05/05 06:46:55  filon
- updated to ver 0.90pre3
- builds and works for me, STBR?

Revision 1.87  2002/05/02 15:53:13  mkochano
- Typo.

Revision 1.86  2002/05/02 11:59:00  mkochano
- libpng-1.2 detection done correctly.

Revision 1.85  2002/04/30 07:39:46  filon
- updated to 0.90pre2
- added better way of building releases/snaphots (to define it with one variable)
- added small todo

Revision 1.84  2002/04/28 11:15:48  blues
- release 1
- runtime-detection works now....

Revision 1.83  2002/04/26 20:04:11  blues
- added options with various procesors optimization (according to webpage
  detection is done runtime now...)
- some things are sorted...
builds, works,... STBR

Revision 1.82  2002/04/24 19:09:48  qboosh
- added libpng 1.2.2 support

Revision 1.81  2002/04/21 21:38:09  aflinta
- moved from DEVEL to HEAD, cause new license, previous versions are obsolete

Revision 1.80.2.1  2002/04/21 12:13:38  aflinta
- updated to version 0.90pre1
- GPL license
- cpu run-time detection

Revision 1.80  2002/03/20 16:29:02  wiget
use 2002-03-20 snaps;document --with p3

Revision 1.79  2002/03/17 12:58:51  gotar
- BR: zlib-devel

Revision 1.78  2002/03/08 21:03:32  gotar
- added mplayer-cp1250-fontdesc.patch.

Revision 1.77  2002/03/04 08:32:37  gotar
- switched to tar.bz2 fonts source.

Revision 1.76  2002/02/22 23:29:17  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.75  2002/02/09 21:44:29  blues
- enabled tdfxfb (works but.. not nice on V3)
- enbled fastmemcpy for k7 (maybe other mmx/3dnow procesors can handle this,
  this must be checked)

Revision 1.74  2002/02/07 02:46:22  kloczek
- release 6.

Revision 1.73  2002/02/06 23:54:11  grzegorz
- added BuildRequires: unzip
- adaptarized

Revision 1.72  2002/01/26 10:09:53  kloczek
- release 5.

Revision 1.71  2002/01/21 09:43:11  qboosh
- PentiumPro support (i686 with MTRR, but without MMX) - default for i686

Revision 1.70  2002/01/20 23:38:53  filon
- typo fixed (used $ instead of %%)

Revision 1.69  2002/01/20 20:51:32  filon
- fixed docs, which I broke
- added menoder binary
- removed cpu-capability switches, now use for exmaple -with k7, which
  chooses all needed switches (no chance to forgot to set needed switch,
  there were bugs repoerted about it)
- use mplayer.conf from SOURCE2, exmaple.conf move to docs
- cosmetics
- release 4

Revision 1.68  2002/01/20 12:49:29  filon
- docs have changed, updated files and install accordingly
- added hu man page
- release 3

Revision 1.67  2002/01/19 10:36:04  filon
- updated codec patch
- added information about win32 codecs to description
- we need extracting ffmpeg only in snapshots
- release 2

Revision 1.66  2002/01/18 02:13:58  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.65  2002/01/17 22:29:13  qboosh
- updated make and configure patches
- use proper option to enable/disable divx4linux
- removed ';' that caused not passing CFLAGS to configure(!)
- builds, but note: codec patch not updated yet, ffmpeg seems too old

Revision 1.64  2002/01/16 20:54:17  mkochano
- Still big mess, a lot of commented out stuff and non-working
  --with{,out} switches, but bit closer to 0.60.
- I was able to compile it with --with 3dnow --with 3dnowex --with mmx
  --with mmx2 --without divx4linux. And I have to say it sux. I'm going
  back to avifile.

Revision 1.63  2002/01/10 11:25:28  wrobell
- ver. 0.60
- added sample separate setup line for releases in %%prep section
- nfy

Revision 1.62  2001/12/26 19:01:28  yossa
- I couldn't built it without this ;

Revision 1.61  2001/12/18 19:46:02  gotar
- it's allowed to redistribute sources.

Revision 1.60  2001/12/13 08:42:51  gotar
- fixed building source packages w/o illegal sources.

Revision 1.59  2001/12/10 02:35:13  gotar
- made not to get sources and build without license agreement,
- release snap.3.

Revision 1.58  2001/11/08 05:48:18  kloczek
- release <snap>.2.

Revision 1.57  2001/11/07 09:34:38  filon
- fixed configure for divx4linux
- removed CVS files form docs

Revision 1.56  2001/11/07 00:13:24  filon
- revert to 20011101, 20011106 is broken (20011101 was ok)

Revision 1.55  2001/11/06 21:22:30  filon
- updated to 20011106, builds ok

Revision 1.54  2001/11/06 20:54:58  filon
- fix in prep (lost while moving changes to 1.52)

Revision 1.53  2001/11/06 20:43:32  filon
- updated to 20011101 snapshot
- make divx4linux default on, fixes in confguration
- added original codecs.conf as codecs-win32.conf in docs
- changes in docs (added fr, etc...)
- modified patches: configure, make (configure script has changed) and codecs
- cosmetics

Revision 1.52  2001/11/04 00:22:16  saq
- bugfix: the skin path was wrong
- remove duplicate docs (manpage, config example)
- remove author's joke from config file

Revision 1.51  2001/11/04 00:01:59  saq
- added default skin (needed by GUI)
- added applnk entry (gmplayer.desktop)
- some more BuildReqs
- addded symlink %%_bindir/gmplayer -> mplayer for GUI
- release 2, STB

Revision 1.50  2001/10/21 19:50:43  hunter
- added conditonal build _without_dshow to disable DirectShow support

Revision 1.49  2001/10/13 20:32:35  aflinta
- added datadir option to configure
- added iso-8859-2 fonts for OSD

Revision 1.48  2001/10/12 12:52:05  qboosh
- configure patch: fix GL and DPMS detection; don't link with libnsl
- removed BR: XFree86-static
- updated %%doc dir names

Revision 1.47  2001/10/11 09:39:22  blues
- BR XFree86-static - needed for GL

Revision 1.46  2001/10/09 21:51:40  aflinta
- reverted back to build with win32, but removed Require: w32codec cause
  this package is only optional

Revision 1.45  2001/10/09 19:11:32  aflinta
- finished update to version 0.50
- changed to build default without win32 support
  but can be changed by --with win32 switch
- added gui
- added _without_gui_ switch to build without gui and gtk+ support

Revision 1.44  2001/10/09 17:16:36  aflinta
- patches updated, still needs DOCS updates

Revision 1.43  2001/10/09 09:25:28  ankry
- fixed source URLs; changed http: to ftp: (preferred)

Revision 1.42  2001/10/08 16:31:18  aflinta
- started update to version 0.50

Revision 1.41  2001/10/08 15:49:05  misiek
- removed exclusive arch

Revision 1.40  2001/09/13 10:06:46  filon
- release 10

Revision 1.39  2001/09/13 08:43:14  filon
- another mistake fixed
- conditional 'Patch?: *' was stupid

Revision 1.38  2001/09/13 07:17:16  filon
- fixed typo in patch names
- added disabling win32 on non-x86 architectures

Revision 1.37  2001/09/12 17:49:42  filon
- comment_win32 patch back again as codecs_no_win32 (removes, not comments)
- cosmetics

Revision 1.36  2001/09/08 14:21:18  kloczek
- release 9.

Revision 1.35  2001/09/08 13:46:34  qboosh
- added some helpful CPU information to bconds
- fixed divx4linux and ggi bcond names (s/\<with/_with/)

Revision 1.34  2001/09/05 21:22:18  filon
- fixed without_vorbic conditonal
- added with_divx4linux cnditional
- because many fatures are autodetected (but should not!), forced
  enable/disable pairs on bconds
- added enable/disable mtrr depending on arch
- disable-kernel-extchk - application may be run on other kernel (e.g. SSE
  is not in 2.2, but is in 2.4)
- conditional with_ggi (support for ggi is not fully functional yet)
- cosmetics
- release 8

Revision 1.33  2001/09/05 16:40:41  filon
- updated to 20010902 CVS snapshot, changed URL
- added ffmpeg source (now is not in mplayer source tree)
- updated patches
- added bcond without_vorbis and BReq. libvorbis-devel
- changed numeration (upgrade is possible, don't worry)
- added --disable-win32 for configure on without_win32
- temporary commented comment_w32 patch
- some files have moved, corrected location
- release 7

Revision 1.32  2001/08/21 18:46:39  filon
- added bcond: _without_win32 and apropriate patch

Revision 1.31  2001/08/08 18:14:16  saq
- more docs
- release 6, STB

Revision 1.30  2001/07/30 10:34:00  kloczek
- release 5.

Revision 1.29  2001/07/28 22:58:51  qboosh
- added _without_{arts,lirc}

Revision 1.28  2001/07/25 22:56:02  wrobell
- fixed requires

Revision 1.27  2001/07/25 16:01:59  wrobell
- disable select when building with alsa
- some cleaning
- rel 4, stb

Revision 1.26  2001/07/23 21:10:30  saq
- build with lirc support
- release 3
- STB

Revision 1.25  2001/07/21 03:19:50  wrobell
- added info about conditional 3dnowex support building
- added alsa support (can be switched off with _without_alsa definition)
- rel 2.pre5, stb

Revision 1.24  2001/07/20 20:39:49  migo
- s/linuxa/Linuksa/

Revision 1.23  2001/07/19 18:32:31  wrobell
- added conditional build for 3dnowex

Revision 1.22  2001/07/14 10:06:13  blues
- more buildrequires

Revision 1.21  2001/07/11 16:07:37  qboosh
- pre5
- MMX is conditional (causes SIGILL on non-MMX)

Revision 1.20  2001/07/06 10:34:40  jajcus
- patch mplayer-make.patch updated and split into two: mplayer-make.patch and
  mplayer-confpath.patch, as those are two quite different modifications

Revision 1.19  2001/07/02 13:32:47  wrobell
- source updated for mplayer 0.18pre3, nfy

Revision 1.18  2001/05/22 09:06:32  wiget
- switch to new conditional builds macros
  (bcond_on_ -> _with_/bcond_off_ -> _without_); no release changes only
  simple s/// performed

Revision 1.17  2001/05/01 16:06:07  misiek
20010501 snapshot

Revision 1.16  2001/04/27 12:37:48  misiek
new snapshot

Revision 1.15  2001/04/22 17:31:47  blues
- bcond should be called _without  :)

Revision 1.14  2001/04/22 16:36:41  blues
- added _with_select for some sound cards (ALSA, Vortex...)

Revision 1.13  2001/04/22 00:26:31  kloczek
- release 1.%%{snap}.

Revision 1.12  2001/04/21 12:51:49  blues
- conditional building with 3dnow, sse and mmx2

Revision 1.11  2001/04/20 17:45:25  misiek
- disabled mmx2/sse/3dnow (there is no run-time detection for this)
- new snapshot

Revision 1.10  2001/04/20 08:47:21  kloczek
- cosmetics.

Revision 1.9  2001/04/19 22:31:44  misiek
new snapshot (0420)

Revision 1.8  2001/04/18 09:08:59  misiek
new snapshot

Revision 1.7  2001/04/07 10:35:03  jajcus
- _noautoreqdep   libGL.so.1 libGLU.so.1

Revision 1.6  2001/04/02 19:25:42  blues
3dnow could be in i586 too (K6-II)

Revision 1.5  2001/04/02 10:33:45  kloczek
- cosmetics.

Revision 1.4  2001/04/01 00:01:37  misiek
enabled mga/xmga/fbdev

Revision 1.3  2001/03/31 22:28:52  misiek
enabled 3dnow and sse on i686

Revision 1.2  2001/03/31 21:37:51  misiek
added config file

Revision 1.1  2001/03/31 21:27:11  misiek
changed spec name. Great DivX ;-) player (even better than avifile).

Revision 1.1  2001/02/10 22:49:28  misiek
another video player. not finished
